PORTUPDATE-SCAN(8)

NAME
portupdate-scan - scan /usr/ports/UPDATING, showing sections for installed ports

SYNOPSIS
portupdate-scan [-dhmuVv] [-a yyyymmdd date] [-D portdir] [--help] [--version]

DESCRIPTION
Reads port-related files, including /usr/ports/UPDATING, and outputs those sections of UPDATING that might be pertinent to this system. Only sections that apply to recognize ports that are known, and not installed are omitted.

The following options are available:

-a yyyymmdd date
    only display sections later than the date specified in yyyymmdd format

-D portsdir
    use portsdir as ports directory instead of /usr/ports

-d  output additional debugging information

-h, --help
    output command usage information and exit

-m  for MIXED sections, show breakdown of which ports are installed and not installed. The verbose information from the v flag is a superset of this.

-u  output information on uninstalled ports (default: off)

-v  output more verbose information

-V, --version
    output version information and exit

EXIT STATUS

FILES
/usr/ports/UPDATING
    port update news
/usr/ports/INDEX
    port index file
/usr/ports/MOVED
    record of port renames and deletions

EXAMPLES

Basic normal operation:

    portupdate-scan

To include details of installed/uninstalled ports for MIXED sections:

    portupdate-scan -m

SEE ALSO
ports(7)

AUTHORS
Alex Stangl <alex@stangl.us>

BUGS
The concept of machine-interpreting the AFFECTS: line in /usr/ports/UPDATING, which were intended for human consumption, is dubious. It would be nice to evolve some more robust method for communicating this information.